import { vertexvis } from '@vertexvis/frame-streaming-protos';
import { Vector3 } from '@vertexvis/geometry';
import { MeasureEntity } from '@vertexvis/scene-view-protos/sceneview/protos/scene_view_api_pb';
export declare class MeasurementEntity {
    readonly point: Vector3.Vector3;
    readonly modelEntity: Uint8Array;
    constructor(point: Vector3.Vector3, modelEntity: Uint8Array);
    static fromHit(hit: vertexvis.protobuf.stream.IHit): MeasurementEntity;
    toProto(): MeasureEntity;
}
